#!/usr/bin/perl
#!c:\Perl\bin\perl.exe

# PL0002.pm	
# HTML_SONDERZ_HTML- HTML-Codierung von Sonderzeichen, z.B. &uuml;
# (Linux / Windows)

package EIGEN::HTML::PL0002;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;

@ISA       = qw(Exporter AuoLoader);
@EXPORT    = qw();
@EXPORT_OK = qw(HTML_SONDERZ_HTML);
$VERSION   = '1.0.0';


##################################################################
# Voreinstellungen:
##################################################################


##################################################################
# Subroutinen:
##################################################################

##################################################################
# HTML_SONDERZ_HTML
#
# Tauscht Sonderzeichen in HTML-Code
# ISO-8859-1-Code (8-Bit-ASCII-Code)
#
# input: $String
#
# output:$String
#
##################################################################
sub HTML_SONDERZ_HTML
{
 my ($String) = $_[0];
 
 $String =~ s/&/&amp;/mg;
 $String =~ s//&iexl;/mg;
 $String =~ s//&cent;/mg;
 $String =~ s//&pound;/mg;
 $String =~ s//&curren;/mg;
 $String =~ s//&yen;/mg;
 $String =~ s//&brkbar;/mg; 
 $String =~ s//&sect;/mg; 
 $String =~ s//&uml;/mg; 
 $String =~ s//&copy;/mg;
 $String =~ s//&ordf;/mg;
 $String =~ s//&laquo;/mg; 
 $String =~ s//&not;/mg;
 $String =~ s//&shy;/mg;
 $String =~ s//&reg;/mg; 
 $String =~ s//&hibar;/mg;
 $String =~ s//&deg;/mg; 
 $String =~ s//&plusmn;/mg; 
 $String =~ s//&sup2;/mg; 
 $String =~ s//&sup3;/mg; 
 $String =~ s//&acute;/mg;
 $String =~ s//&micro;/mg; 
 $String =~ s//&para;/mg;
 $String =~ s//&middot;/mg;
 $String =~ s//&cedil;/mg;
 $String =~ s//&sup1;/mg;
 $String =~ s//&ordm;/mg;
 $String =~ s//&raquo;/mg; 
 $String =~ s//&frac14;/mg; 
 $String =~ s//&frac12;/mg; 
 $String =~ s//&frac34;/mg; 
 $String =~ s//&iquest;/mg; 
 $String =~ s//&Agrave;/mg; 
 $String =~ s//&Aacute;/mg; 
 $String =~ s//&Acirc;/mg; 
 $String =~ s//&Atilde;/mg; 
 $String =~ s//&Auml;/mg;  
 $String =~ s//&Aring;/mg;
 $String =~ s//&AElig;/mg;
 $String =~ s//&Ccedit;/mg;
 $String =~ s//&Egrave;/mg; 
 $String =~ s//&Eacute;/mg; 
 $String =~ s//&Ecirc;/mg;
 $String =~ s//&Euml;/mg;
 $String =~ s//&Igrave;/mg;
 $String =~ s//&Iacute;/mg;
 $String =~ s//&Icirc;/mg;
 $String =~ s//&Iuml;/mg;
 $String =~ s//&ETH;/mg;
 $String =~ s//&Ntilde;/mg;
 $String =~ s//&Ograve;/mg;
 $String =~ s//&Oacute;/mg;
 $String =~ s//&Ocirc;/mg;
 $String =~ s//&Otilde;/mg;
 $String =~ s//&Ouml;/mg;
 $String =~ s//&times;/mg;
 $String =~ s//&Oslash;/mg;
 $String =~ s//&Uacute;/mg;
 $String =~ s//&Ugrave;/mg;
 $String =~ s//&Ucirc;/mg;
 $String =~ s//&Uuml;/mg; 
 $String =~ s//&Yacute;/mg;
 $String =~ s//&THORN;/mg;
 $String =~ s//&szlig;/mg; 
 $String =~ s//&agrave;/mg; 
 $String =~ s//&aacute;/mg; 
 $String =~ s//&acirc;/mg;
 $String =~ s//&atilde;/mg;
 $String =~ s//&auml;/mg;  
 $String =~ s//&aring;/mg;
 $String =~ s//&aelig;/mg;
 $String =~ s//&ccedil;/mg;
 $String =~ s//&egrave;/mg; 
 $String =~ s//&eacute;/mg; 
 $String =~ s//&ecirc;/mg;
 $String =~ s//&euml;/mg;
 $String =~ s//&igrave;/mg;
 $String =~ s//&iacute;/mg;
 $String =~ s//&icirc;/mg;
 $String =~ s//&iuml;/mg;
 $String =~ s//&eth;/mg;
 $String =~ s//&ntilde;/mg;
 $String =~ s//&ograve;/mg;
 $String =~ s//&oacute;/mg;
 $String =~ s//&ocirc;/mg;
 $String =~ s//&otilde;/mg;
 $String =~ s//&ouml;/mg; 
 $String =~ s//&divide;/mg;
 $String =~ s//&oslash;/mg;
 $String =~ s//&ugrave;/mg;
 $String =~ s//&uacute;/mg;
 $String =~ s//&ucirc;/mg;
 $String =~ s//&uuml;/mg; 
 $String =~ s//&yacute;/mg;
 $String =~ s//&thorn;/mg;
 $String =~ s//&yuml;/mg;
      
 return($String);
} 


1;
__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 AUTHOR

=head1SEE ALSO

=cut